Bug 1065806 - [Project Version JSF Language List View] After toggle the unit of status, spinner failed to be removed after statistics are updated
[Project Version JSF Language List View] After toggle the unit of status, spi...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-16 21:06 EST by Ding-Yi Chen
Modified: 2014-03-20 01:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.3.0-SNAPSHOT (20140218-0947)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 01:47:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2014-02-16 21:06:25 EST
Description of problem:
When statistics is toggled between "By Words" <-> "By Messages",
a spinner showed up to indicate that the statistics is being updated.

However, the spinner was still spinning even after the status is updated.

Version-Release number of selected component (if applicable):
Zanata 3.3.0-SNAPSHOT (20140217-0050)

How reproducible:
Always

Steps to Reproduce:
1. Go to any project, any version
   You should see a list of enabled languages.
2. Toggle the unit of statistics (either to By Messages or By Words)

Actual results:
The spinner was still spinning even the statistics has been updated.

Expected results:
The spinner should be removed after the statistics has been updated.

Additional info:
Click "Refresh" will remove the spinner. This can be temporary workaround.
Comment 1 Carlos Munoz 2014-02-16 23:56:22 EST
When we upgraded to Richfaces 4, some components changed their behavour. a4j:status was one of these. The pull request below updates the version page to use this new behaviour. In any case, this page is candidate for refactoring for next sprint so all this will be changed.

See:
https://github.com/zanata/zanata-server/pull/380
Comment 2 Damian Jansen 2014-02-17 19:03:35 EST
Verified at 1bf60cc19d6941929f586c3e8d62390fbb41644d
Comment 3 Sean Flanigan 2014-03-20 01:47:42 EDT
Closing VERIFIED bugs for Zanata server 3.3.2.

Note You need to log in before you can comment on or make changes to this bug.